* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 16px;
    color: #121212;
}

img {
    max-width: 100%;
}
label.error {
    color: red;
}
.welcome--screen {
    background-color: #184627;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.notice-card {
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    max-width: 930px;
    padding: 40px;
}

.notice-card img {
    max-width: 150px;
}

.important-notice {
    background-color: #f4a950;
    color: white;
    font-weight: bold;
    padding: 10px;
    text-align: center;
    margin: 20px 0;
    font-size: 1.25rem;
}

.enter-button {
    background-color: #f4a950;
    border: none;
    padding: 10px 30px;
    font-weight: 500;
    border-radius: 5px;
    color: #ffffff;
    cursor: pointer;
}

.hindi-notice {
    background-color: #f4a950;
    color: white;
    padding: 5px 15px;
    font-weight: bold;
    display: inline-block;
    margin-bottom: 10px;
}

.btn-primary {
    background: #f4a950;
    padding: .66rem 2rem;
    border: 0;
    font-weight: 600;
    text-transform: uppercase;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:focus-visible,
.btn-primary:focus-within {
    box-shadow: 0 4px 20px -10px #184627;
    -webkit-box-shadow: 0 4px 20px -10px #184627;
    background: #184627;
    border: 0;
    outline: none;
}

.sign--wrapper form {
    box-shadow: 0 5px 30px -10px #12121270;
    -webkit-box-shadow: 0 5px 30px -10px #12121270;
    padding: 2rem;
    border-radius: 10px;
}

.sign--wrapper form a {
    color: #12121270;
    text-decoration: underline;
}

.sign--wrapper .form-control {
    min-height: 45px;
}

.home--wrapper .card {
    border: 0;
    background: rgba(24, 70, 39, 1);
    padding: 4rem 3rem;
    text-align: center;
    height: 100%;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    position: relative;
    overflow: hidden;
}

.home--wrapper .login--box {
    background: #fd861f;
}

.home--wrapper .login--box .btn-primary {
    background: #184627;
}

.home--wrapper .card-header {
    background: none;
    border: 0;
    color: #ffffff;
    padding: 0;
    position: relative;
    z-index: 1;
}

.home--wrapper .card-body {
    position: relative;
    z-index: 1;
}

.home--wrapper .card-header h4 {
    color: #ffffff;
    margin-bottom: 0;
    font-size: 1.8rem;
}

.home--wrapper .card p {
    color: #ffffff;
    font-weight: normal;
    line-height: 1.8;
    margin-bottom: 2rem;
}

#progressBar {
    column-gap: 10px;
}

.step {
    display: inline-block;
    text-align: center;
    flex: 1;
    font-size: 1rem;
    border: 1px solid #18462740;
    padding: 1rem;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    cursor: pointer;
}

@media screen and (max-width:575px) {
    .step {
        display: block;
    }

    .step+.step {
        margin-top: .5rem;
    }
}

.step.active {
    background: #184627;
    border: 1px solid #18462740;
    color: #ffffff;
    cursor: auto;
}

.step-content .form-check-input {
    position: absolute;
    margin-top: 0.15rem;
    margin-left: -1.75rem;
}

.step-content .form-check-label {
    margin-bottom: 0;
    font-size: 14px;
}

.step-content .form-check {
    padding-left: 1.75rem;
}

.step-content .form-check-input input[type="checkbox"] {
    width: 17px;
    height: 17px;
}

.step-content #step-5 .form-check-input {
    margin-top: 0.35rem;
    margin-left: -1.25rem;
}

.step-content #step-5 .form-check {
    padding-left: 1.25rem;
    margin-right: 1.25rem;
}


/*-=-=-=-=-==
Dashboard CSS-=-=
-=-=-==-==*/

.sidebar-header {
    padding: 2rem;
}

.sidebar-header img {
    max-width: 130px;
}

.sidebar {
    min-height: 100vh;
    color: #121212;
    transition: width 0.3s;
    background: #fff;
    box-shadow: 0 0 6px rgba(0, 0, 0, .1);
    -webkit-box-shadow: 0 0 6px rgba(0, 0, 0, .1);
    width: 300px;
    min-width: 300px;
}

.sidebar.collapsed {
    width: 60px;
    min-width: 60px;
}

.sidebar.collapsed .sidebar-header img {
    max-width: 40px;
}

.sidebar .nav-link {
    color: #121212;
    padding: 12px 15px;
    display: flex;
    align-items: center;
    column-gap: 15px;
}

.sidebar .nav-link:hover,
.sidebar .nav-link.active {
    background-color: #18462710;
    color: #184627;
}

.sidebar.collapsed .nav-link {
    justify-content: center;
}

.sidebar .nav-link svg {
    color: #184627;
}

.sidebar.collapsed .nav-link span {
    display: none;
}

.main--wrapper {
    flex: 1 1 100%;
    max-width: calc(100% - 300px);
}

.sidebar.collapsed~.main--wrapper {
    max-width: calc(100% - 60px);
}

.topbar {
    background-color: #f4a950;
    padding: 10px 20px;
}

.topbar strong {
    color: #ffffff;
    font-weight: 500;
    display: flex;
    align-items: center;
    column-gap: 10px;
    text-transform: uppercase;
}

.topbar strong img {
    max-width: 50px;
    border: 3px solid #12121220;
    border-radius: 100px;
    object-fit: cover;
}

.card-custom {
    background: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.05);
    border: 1px solid #12121220;
    display: flex;
    align-items: center;
    flex-flow: row wrap;
}

.card-custom ul {
    list-style: none;
    padding: 0;
    flex: 1 1;
    margin: 0;
}

.card-custom ul li {
    padding: .75rem 0;
    display: flex;
    align-items: center;
}

.card-custom ul li+li {
    border-top: 1px solid #12121210;
}

.card-custom ul li strong {
    margin-left: auto;
}

.card-custom ul li span {
    display: inline-flex !important;
    width: 15px;
    margin-right: .65rem;
    height: 15px;
    border: 2px solid;
    border-radius: 100px;
}

.card-custom .card--icon {
    order: 1;
    margin-left: auto;
}

.card-custom .card--icon svg {
    color: #f4a950;
    font-size: 3rem;
}

.toggle-btn {
    cursor: pointer;
}

.toggle-btn svg {
    color: #ffffff;
}

.sidebar-header {
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
    padding: 1rem;
}

.sidebar.collapsed .sidebar-header {
    font-size: 1.5rem;
}

.search--top .form-group {
    column-gap: 15px;
}

.search--top .form-group input {
    flex: none;
    width: auto;
}
sfooter {
    display: flex;
    font-size: 11px;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    margin-top: 13px;
}
.tree {
    width: 100%;
    overflow-x: auto;
}

.node {
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    position: relative;
    padding: 0 2rem;
}

.member {
    padding: 0;
    background: transparent;
    border: 0;
    border-radius: 0;
    text-align: center;
    font-weight: bold;
    min-width: 80px;
    position: relative;
}

.children {
    display: flex;
    margin-top: 30px;
    gap: 0;
    position: relative;
    padding-top: 30px;
}

.parent--member::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    width: 2px;
    height: 30px;
    background: #00838f;
}

.node::after {
    content: '';
    position: absolute;
    top: -30px;
    left: 0;
    right: 0;
    height: 2px;
    /* width: calc(100% - 80px); */
    margin: auto;
    background: #00838f;
}

.node:first-child:after {
    width: 50%;
    left: auto;
}

.node:last-child:after {
    width: 50%;
    left: 0;
    right: auto;
}

.children .node::before {
    content: '';
    position: absolute;
    top: -30px;
    left: 50%;
    width: 2px;
    height: 30px;
    background: #00838f;
}

.member svg {
    height: auto;
    width: 75px;
}

.member h5 {
    font-size: 16px;
    text-align: center;
    margin-top: .75rem;
    margin-bottom: 0;
}

.member h5 small {
    display: block;
    color: #f4a950;
}

.flora--box {
    flex-flow: row wrap;
    align-items: center;
    gap: 40px;
}

.flora--box .card-body, .flora--box .card--image {
    flex: 1 1;
}

.card form {
    display: flex;
    align-items: flex-end;
    gap: 20px;
}

.card form .form-group {
    flex: 1 1;
    margin: 0;
}

.card form .form-group input {
    min-height: 45px;
}

.flora--box .card-body img.qr--scan {
    max-width: 200px;
    display: block;
    margin: 1rem 0 0;
}

.id-card {
    width: 350px;
    margin: auto;
    max-width: 100%;
    border-radius: 10px;
    padding: 30px;
    box-sizing: border-box;
    background: linear-gradient(135deg, rgba(255, 255, 255, 1) 50%, rgba(244, 169, 80, .1) 50%);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    padding-bottom: 4px;
    padding-left: 10px;
    padding-right: 8px;
}

.header {
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo {
    width: 160px;
    object-fit: contain;
}

.photo {
    width: 90px;
    height: 90px;
    border-radius: 100px;
    border: 1px solid #12121210;
    margin: 15px auto 10px auto;
    display: block;
    object-fit: cover;
}

.info {
    text-align: center;
}

.info h2 {
    margin: 0;
    font-size: 25px;
    text-transform: uppercase;
}

.info p {
    margin: 0;
    font-size: 14px;
    margin-bottom: 12px;
}

.info .id-number {
    margin-top: 5px;
    margin-bottom: 0;
    font-size: 16px;
}

.info .id-number span {
    color: #184627;
    font-weight: 700;
}

.signature-section {
    margin-top: 25px;
    text-align: right;
    padding-right: 10px;
}

.signature {
    font-family: 'Great Vibes', cursive;
    font-size: 22px;
    color: #333;
    line-height: 1;
}

.signature-label {
    font-size: 12px;
    margin-top: 2px;
    text-align: right;
}

@media screen and (max-width:767px) {
    .sidebar {
        position: absolute;
        left: 0;
        top: 0;
        z-index: 111;
        left: -100%;
        min-width: 60px;
        width: 60px;
    }

    .sidebar.collapsed {
        left: 0;
    }

    .sidebar.collapsed~.main--wrapper .toggle-btn {
        cursor: pointer;
        margin-left: 60px;
    }

    .main--wrapper {
        max-width: calc(100% - 0px);
    }

    .sidebar.collapsed~.main--wrapper {
        max-width: calc(100% - 0px);
    }

    .node {
        padding: 0;
    }

    .member h5 {
        font-size: 14px;
    }

    .member h5 small {
        font-size: 75%;
    }

    .card form {
        flex-flow: row wrap;
    }

    .card form .form-group {
        flex: 1 1 100%;
    }
}